Bug 1611151 - turn off disperse-other-eager-lock by default to avoid performance hit on simultaneous lookups
Summary: turn off disperse-other-eager-lock by default to avoid performance hit on si...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Ashish Pandey
QA Contact: Upasana
URL:
Whiteboard:
Depends On: 1577750
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-08-02 07:48 UTC by nchilaka
Modified: 2019-07-08 20:22 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-16
Doc Type: Bug Fix
Doc Text:
A delay in lock contention caused entry fops like Ls and renames to be slow when two client accessed the same directory on an EC volume. As a consequence, listing of directories and other entry operations were slow. This issue is solved in this version of RHGS.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:51:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:52:51 UTC

Description nchilaka 2018-08-02 07:48:41 UTC
Description of problem:
-----------------------
As already reported in BZ#1577750 - severe drop in response time of simultaneous lookups with other-eager-lock enabled

that is due to other-eager-lock enabled

till BZ#1577750 gets fixed, we need to turn off other-eager-lock

this bug is to track this


Version-Release number of selected component (if applicable):
--------------
3.12.2-8

Comment 14 errata-xmlrpc 2018-09-04 06:51:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.